<div class="housing-preferences">
  <app-content-banner [isDashboard]="false" pageName="Housing Preferences" [isTutorialRequired]="true"
    [TutorialPageName]="'housing-preferences'"></app-content-banner>
  <mat-card class="housing-preferences-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Applicant Preferences</span>
            <mat-icon *ngIf="tab1Status !== 2"
              [ngStyle]="{'color': tab1Status == 0 ? pendingColor : tab1Status == 1 ? completedColor :noColor}">
              {{tab1Status == 1?'check_circle': tab1Status == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0" style="padding: 7px">
              <mat-card-header>
                <mat-card-subtitle>
                  <div> The following questions are intended to clarify the Applicant's housing preferences and to
                    highlight for the Applicant the areas where substantial differences between different types of
                    supportive housing exist. The Applicant and the worker may find it helpful to identify long-term
                    housing goals and the intermediate steps that may help to reach those goals. It is assumed that
                    these
                    preferences may change over time. Utilization of this section is strongly encouraged. Additional
                    details regarding the Applicant's preferences may be included in the Psycho-social Summary.
                  </div><br>
                  <div> It has been explained to the Applicant that along with the housing
                    recommendations of the
                    referring worker and the availability of different types of housing, his/her housing preferences
                    will
                    be considered in an effort to find an appropriate residence.</div>
                </mat-card-subtitle>
              </mat-card-header>
              <app-applicant-preferences [preference]="appPreference" [boroughOptions]="boroughOptions"
                [apartmentOptions]="apartmentOptions" (onValueChange)="onApplicantPrefChange($event)">
              </app-applicant-preferences>
            </mat-card>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Housing Levels</span>
            <mat-icon *ngIf="tab2Status !== 2"
              [ngStyle]="{'color': tab2Status == 0 ? pendingColor : tab2Status == 1 ? completedColor :noColor}">
              {{tab2Status == 1?'check_circle': tab2Status == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>

            <mat-card style="padding-top: 10px; padding-bottom: 0px; margin-bottom: -10px;">
              <mat-card-header>
                <mat-card-subtitle>
                  <div>
                    <span style="color: red;">Levels of Housing Recommended:</span>
                    <span>&nbsp;(Check all that apply. At least one item must be selected under any section.)</span>
                  </div>
                </mat-card-subtitle>
              </mat-card-header>
            </mat-card>

            <mat-card class="mat-elevation-z0" style="padding: 7px">
              <div class="mat-elevation-z4" fxLayout="column">
                <div class="mat-elevation-z4">
                  <mat-card style="margin-top: 10px;">
                    <mat-card-header>
                      <mat-card-title>Community Care</mat-card-title>
                    </mat-card-header>
                    <mat-card-content>
                      <div *ngFor="let item of communityCare" class="content-sub">
                        <app-housing-level [id]="'Community'" [item]="item" (onValueChange)="onChange($event)">
                        </app-housing-level>
                      </div>
                    </mat-card-content>
                  </mat-card>
                </div>
              </div>
            </mat-card>
            <mat-card class="mat-elevation-z0" style="padding: 7px">
              <div class="mat-elevation-z4" fxLayout="column">
                <div class="mat-elevation-z4">
                  <mat-card style="margin-top: 10px;">
                    <mat-card-header>
                      <mat-card-title>Level I</mat-card-title>
                    </mat-card-header>
                    <mat-card-content>
                      <div *ngFor="let item of levelI" class="content-sub">
                        <app-housing-level [id]="'LevelI'" [item]="item" (onValueChange)="onChange($event)">
                        </app-housing-level>
                      </div>
                    </mat-card-content>
                  </mat-card>
                </div>
              </div>
            </mat-card>
            <mat-card class="mat-elevation-z0" style="padding: 7px">
              <div class="mat-elevation-z4" fxLayout="column">
                <div class="mat-elevation-z4">
                  <mat-card style="margin-top: 10px;">
                    <mat-card-header>
                      <mat-card-title>Level II</mat-card-title>
                    </mat-card-header>
                    <mat-card-content>
                      <div *ngFor="let item of levelII" class="content-sub">
                        <app-housing-level [id]="'LevelII'" [item]="item" (onValueChange)="onChange($event)">
                        </app-housing-level>
                      </div>
                    </mat-card-content>
                  </mat-card>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Recommended Services</span>
            <mat-icon *ngIf="tab3Status !== 2"
              [ngStyle]="{'color': tab3Status == 0 ? pendingColor : tab3Status == 1 ? completedColor :noColor}">
              {{tab3Status == 1?'check_circle': tab3Status == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0" style="padding: 7px">
              <app-recommended-services [recommendedServices]="housingPreferences.housingPreference.recommendedServices"
                (onValueChange)="onRecommendedValueChange($event)"></app-recommended-services>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave()" (Previousbtn)="previousPage()" (Nextbtn)="nextPage()"></app-nav-footer>
</div>